Package htsjdk.samtools

# Class CigarElement

java.lang.Object
htsjdk.samtools.CigarElement

All Implemented Interfaces:
  `Serializable`

public class CigarElement extends Object implements Serializable
One component of a cigar string. The component comprises the operator, and the number of bases to which the operator applies.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`serialVersionUID`

## Constructor Summary

Constructors
Constructor
Description
`CigarElement(int length, CigarOperator operator)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getLength()`
`CigarOperator`
`getOperator()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

public static final long serialVersionUID

See Also:
  - Constant Field Values

## Constructor Details

### CigarElement

public CigarElement(int length, CigarOperator operator)

## Method Details

### getLength

public int getLength()

### getOperator

public CigarOperator getOperator()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`